Bug 1113404 - -flto breaks debuginfo
Summary: -flto breaks debuginfo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: R
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1101935
TreeView+ depends on / blocked
 
Reported: 2014-06-26 06:52 UTC by Mattias Ellert
Modified: 2014-09-09 22:23 UTC (History)
3 users (show)

Fixed In Version: rkward-0.6.1-9.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-06 20:30:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Mattias Ellert 2014-06-26 06:52:03 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Mattias Ellert 2014-06-26 07:07:22 UTC
Sorry about the empty submission - it was not intentional.

Description of problem:

I got a report (bug #1101935) broken debuginfo package for an R addon package. I tracked this down to the module having been compiled using the -flto compiler flag and submitted a bug report (bug #1113368) to gcc about that -flto caused broken debuginfo packages. The reply form the maintainer of gcc was:

"If you want usable debug info, you can't use -flto, at least for the past few years and likely next few years too."

The -flto flag when compiling R modules is picked up from the /usr/lib64/R/etc/Makeconf file installed by R-core.

Would it make sense not to use the -flto flag given the above statement?

Version-Release number of selected component (if applicable):

R-core-3.1.0-9.fc21.x86_64

How reproducible:

Always on F21.

Steps to Reproduce:
1. Compile the R-qtl package

Actual results:

Debuginfo package without sources

Expected results:

Debuginfo package with sources

Additional info:

See bug #1101935 and bug #1113368

Comment 2 Ville Skyttä 2014-06-29 15:54:43 UTC
Affected packages at the moment seem to include at least R-GeneR, R-ROC, R-Rsamtools, R-caTools and R-qtl.

Comment 3 Fedora Update System 2014-07-17 14:50:42 UTC
rkward-0.6.1-9.fc20,rpy-2.3.10-2.fc20,R-3.1.1-1.fc20,R-qtl-1.32.10-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rkward-0.6.1-9.fc20,rpy-2.3.10-2.fc20,R-3.1.1-1.fc20,R-qtl-1.32.10-4.fc20

Comment 4 Fedora Update System 2014-07-17 14:50:55 UTC
rkward-0.6.1-9.fc19,rpy-2.3.10-2.fc19,R-3.1.1-1.fc19,R-qtl-1.32.10-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rkward-0.6.1-9.fc19,rpy-2.3.10-2.fc19,R-3.1.1-1.fc19,R-qtl-1.32.10-4.fc19

Comment 5 Fedora Update System 2014-07-17 14:51:06 UTC
R-3.1.1-1.el5,R-qtl-1.32.10-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/R-3.1.1-1.el5,R-qtl-1.32.10-4.el5

Comment 6 Fedora Update System 2014-07-17 14:51:17 UTC
R-3.1.1-1.el6,R-qtl-1.32.10-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/R-3.1.1-1.el6,R-qtl-1.32.10-4.el6

Comment 7 Fedora Update System 2014-07-19 06:06:49 UTC
Package rkward-0.6.1-9.fc19, rpy-2.3.10-2.fc19, R-3.1.1-1.fc19, R-qtl-1.32.10-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rkward-0.6.1-9.fc19 rpy-2.3.10-2.fc19 R-3.1.1-1.fc19 R-qtl-1.32.10-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8532/rkward-0.6.1-9.fc19,rpy-2.3.10-2.fc19,R-3.1.1-1.fc19,R-qtl-1.32.10-4.fc19
then log in and leave karma (feedback).

Comment 8 Ville Skyttä 2014-07-19 16:02:26 UTC
(In reply to Ville Skyttä from comment #2)
> Affected packages at the moment seem to include at least R-GeneR, R-ROC,
> R-Rsamtools, R-caTools and R-qtl.

I've rebuilt R-GeneR, R-ROC, R-Rsamtools, and R-caTools for F-21, assuming Rawhide will inherit them.

Comment 9 Fedora Update System 2014-09-06 20:30:24 UTC
R-3.1.1-1.el5, R-qtl-1.32.10-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-09-06 20:31:05 UTC
R-3.1.1-1.el6, R-qtl-1.32.10-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-09-09 22:08:25 UTC
rkward-0.6.1-9.fc19, rpy-2.3.10-2.fc19, R-3.1.1-1.fc19, R-qtl-1.32.10-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-09-09 22:23:33 UTC
rkward-0.6.1-9.fc20, rpy-2.3.10-2.fc20, R-3.1.1-1.fc20, R-qtl-1.32.10-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.